## START: Set by rpmautospec
## (rpmautospec version 0.8.1)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%bcond docs 1
%global major_sover 5
%global minor_sover 5

Name:           lib3270
Version:        5.5.0
Release:        %autorelease
Summary:        TN3270 Protocol Library

License:        LGPL-3.0-only
URL:            https://github.com/PerryWerneck/lib3270
Source:         %{url}/archive/%{version}/%{name}-%{version}.tar.gz

BuildRequires:  gcc
BuildRequires:  meson
BuildRequires:  gettext-devel
BuildRequires:  libcurl-devel
BuildRequires:  openldap-devel
BuildRequires:  openssl-devel
%if %{with docs}
BuildRequires:  doxygen
BuildRequires:  graphviz
%endif

%description
lib3270 is a TN3270 protocol library, originally designed as part of the pw3270
application.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%if %{with docs}
%package        doc
Summary:        Documentation for %{name}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation for %{name}.
%endif

%prep
%autosetup -p1

%build
%meson
%meson_build
%if %{with docs}
doxygen doxygen
%endif

%install
%meson_install
%find_lang %{name}-%{major_sover}.%{minor_sover}

# Remove static libraries
rm %{buildroot}%{_libdir}/%{name}.a
rm %{buildroot}%{_libdir}/pkgconfig/%{name}-static.pc

%files -f %{name}-%{major_sover}.%{minor_sover}.lang
%license LICENSE
%doc README.md AUTHORS CHANGELOG
%{_libdir}/%{name}.so.%{major_sover}*

%files devel
%{_includedir}/%{name}.h
%{_includedir}/%{name}/
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/%{name}.pc

%if %{with docs}
%files doc
%license LICENSE
%doc html
%endif

%changelog
## START: Generated by rpmautospec
* Fri Jan 17 2025 Fedora Release Engineering <releng@fedoraproject.org> - 5.5.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Thu Dec 26 2024 Davide Cavalca <dcavalca@fedoraproject.org> - 5.5.0-1
- Update to 5.5.0; Fixes: RHBZ#2329486

* Fri Jul 26 2024 Miroslav Suchý <msuchy@redhat.com> - 5.4-13
- convert LGPLv3 license to SPDX

* Thu Jul 18 2024 Fedora Release Engineering <releng@fedoraproject.org> - 5.4-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Thu Jan 25 2024 Fedora Release Engineering <releng@fedoraproject.org> - 5.4-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sun Jan 21 2024 Fedora Release Engineering <releng@fedoraproject.org> - 5.4-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Thu Jul 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 5.4-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Thu Jan 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 5.4-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Thu Jul 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 5.4-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Thu Jan 20 2022 Fedora Release Engineering <releng@fedoraproject.org> - 5.4-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Fri Nov 12 2021 Davide Cavalca <dcavalca@fedoraproject.org> - 5.4-5
- Backport configure fix for autoconf 2.71; Fixes: RHBZ#2022025

* Tue Sep 14 2021 Sahana Prasad <sahana@redhat.com> - 5.4-3
- Rebuilt with OpenSSL 3.0.0

* Thu Jul 22 2021 Fedora Release Engineering <releng@fedoraproject.org> - 5.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Tue Mar 23 2021 Davide Cavalca <dcavalca@fedoraproject.org> - 5.4-1
- New upstream release
- Update build requires
- Stricter globbing for library soname

* Sat Mar 13 2021 Davide Cavalca <dcavalca@fedoraproject.org> - 5.3-3
- Add license to doc sub-package and make it noarch
- Update URLs

* Sat Mar 13 2021 Davide Cavalca <dcavalca@fedoraproject.org> - 5.3-2
- Do not remove buildroot on install
- Make build output more verbose
- Ensure build flags are applied
- Build docs

* Wed Mar  3 2021 Davide Cavalca <dcavalca@fedoraproject.org> - 5.3-1
- Initial package

## END: Generated by rpmautospec
